USRP Hardware Driver and USRP Manual: uhd::features::ref_clk_calibration_iface Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::features::ref_clk_calibration_iface Class Referenceabstract

`#include <uhd/features/ref_clk_calibration_iface.hpp>`

Inheritance diagram for uhd::features::ref_clk_calibration_iface:

## Public Types
using | sptr = std::shared_ptr<ref_clk_calibration_iface>
Public Types inherited from uhd::features::discoverable_feature
enum | feature_id_t { RESERVED0 , RESERVED1 , FPGA_LOAD_NOTIFICATION , ADC_SELF_CALIBRATION , REF_CLK_CALIBRATION , TRIG_IO_MODE , GPIO_POWER , SPI_GETTER_IFACE , INTERNAL_SYNC , GPS }
| An enum of all features supported by the driver. When creating a new. More...
using | sptr = std::shared_ptr<discoverable_feature>

## Public Member Functions
std::string | get_feature_name () const
| Returns a human-readable string name of this feature.
virtual | ~ref_clk_calibration_iface ()=default
virtual void | set_ref_clk_tuning_word (uint32_t tuning_word)=0
| Set the tuning word to be configured on the internal reference clock DAC.
virtual uint32_t | get_ref_clk_tuning_word ()=0
| Returns the tuning word configured on the internal reference clock DAC.
virtual void | store_ref_clk_tuning_word (uint32_t tuning_word)=0
| Writes the reference clock tuning word to the clocking board EEPROM.
Public Member Functions inherited from uhd::features::discoverable_feature
virtual | ~discoverable_feature ()=default

## Static Public Member Functions
static discoverable_feature::feature_id_t | get_feature_id ()

## Detailed Description

Interface to provide access to functions (set, get and store the tuning word) to perform calibration of the DAC for the internal reference clock source on supported devices. Currently, only the X4xx series of devices supports this.

## Member Typedef Documentation

## ◆ sptr

using uhd::features::ref_clk_calibration_iface::sptr = std::shared_ptr<ref_clk_calibration_iface>

## Constructor & Destructor Documentation

## ◆ ~ref_clk_calibration_iface()

virtual uhd::features::ref_clk_calibration_iface::~ref_clk_calibration_iface | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ get_feature_id()

discoverable_feature::feature_id_t uhd::features::ref_clk_calibration_iface::get_feature_id | ( |  | ) |
| inlinestatic

## ◆ get_feature_name()

std::string uhd::features::ref_clk_calibration_iface::get_feature_name | ( |  | ) | const
| inlinevirtual

Returns a human-readable string name of this feature.

Implements uhd::features::discoverable_feature.

## ◆ get_ref_clk_tuning_word()

virtual uint32_t uhd::features::ref_clk_calibration_iface::get_ref_clk_tuning_word | ( |  | ) |
| pure virtual

Returns the tuning word configured on the internal reference clock DAC.

## ◆ set_ref_clk_tuning_word()

virtual void uhd::features::ref_clk_calibration_iface::set_ref_clk_tuning_word | ( | uint32_t | tuning_word | ) |
| pure virtual

Set the tuning word to be configured on the internal reference clock DAC.

## ◆ store_ref_clk_tuning_word()

virtual void uhd::features::ref_clk_calibration_iface::store_ref_clk_tuning_word | ( | uint32_t | tuning_word | ) |
| pure virtual

Writes the reference clock tuning word to the clocking board EEPROM.

The documentation for this class was generated from the following file:

- ref_clk_calibration_iface.hpp